order_tags.h File Reference
`#include <polybori/pbori_defs.h>`

Go to the source code of this file.

## Classes

class | polybori::lex_tag
| Marker for lex ordering. More...
class | polybori::dlex_tag
| Marker for deg-lex ordering. More...
class | polybori::dp_asc_tag
| Marker for ascending deg-rev-lex ordering. More...
class | polybori::block_tag< TagType >
| Marker for block orderings. More...

## Namespaces

| polybori

## Constant Groups

| polybori

## Typedefs

typedef block_tag< dlex_tag > | polybori::block_dlex_tag
| Marker for block deg-lex ordering. More...
typedef block_tag< dp_asc_tag > | polybori::block_dp_asc_tag
| Marker for ascending block deg-rev-lex ordering. More...

## Detailed Description

Author
  Alexander Dreyer

Date
  2006-07-20

Decribes properties of polybori ordering classes

Copyright:
  (c) 2006 by The PolyBoRi Team